Subject: Re: [tsvwg] [Technical Errata Reported] RFC3390 (4569)

From: Megan Ferguson <[email-masked]>
Date: Mon, 4 Jan 2016 20:05:10 -0500

Lloyd,

We believe we have updated as intended.  Please review the report as listed at http://www.rfc-editor.org/errata_search.php?rfc=3390&eid=4569 and let us know any objections.

Thank you.

RFC Editor/mf

On Dec 22, 2015, at 7:17 PM, [email-masked] wrote:

> Should actually be lower case k kbps (for 1000, not 1024 or Kibps.)
> 
> Lloyd Wood
> [email-masked]
> http://about.me/lloydwood 
> 
> --------------------------------------------
> On Tue, 22/12/15, RFC Errata System <[email-masked]> wrote:
> 
> Subject: [tsvwg] [Technical Errata Reported] RFC3390 (4569)
> To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Tuesday, 22 December, 2015, 21:18
> 
> The following errata report has been
> submitted for RFC3390,
> "Increasing TCP's Initial Window".
> 
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=3390&eid=4569
> 
> --------------------------------------
> Type: Technical
> Reported by: Nikolai Malykh <[email-masked]>
> 
> Section: 8.1
> 
> Original Text
> -------------
>    A second set of experiments explored TCP
> performance over dialup
>    modem links.  In experiments over a
> 28.8 bps dialup channel [All97a,
>    AHO98], a four-segment initial window
> decreased the transfer time of
>    a 16KB file by roughly 10%, with no
> accompanying increase in the drop
>    rate.  A simulation study [RFC2416]
> investigated the effects of using
>    a larger initial window on a host
> connected by a slow modem link and
>    a router with a 3 packet buffer.  The
> study concluded that for the
>    scenario investigated, the use of larger
> initial windows was not
>    harmful to TCP performance.
> 
> Corrected Text
> --------------
>    A second set of experiments explored TCP
> performance over dialup
>    modem links.  In experiments over a
> 28.8 Kbps dialup channel [All97a,
>    AHO98], a four-segment initial window
> decreased the transfer time of
>    a 16KB file by roughly 10%, with no
> accompanying increase in the drop
>    rate.  A simulation study [RFC2416]
> investigated the effects of using
>    a larger initial window on a host
> connected by a slow modem link and
>    a router with a 3 packet buffer.  The
> study concluded that for the
>    scenario investigated, the use of larger
> initial windows was not
>    harmful to TCP performance.
> 
> Notes
> -----
> Error bit rate - bps instead of Kbps.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If
> necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> (IESG)
> can log in to change the status and edit the report, if
> necessary. 
> 
> --------------------------------------
> RFC3390 (draft-ietf-tsvwg-initwin-04)
> --------------------------------------
> Title           
>    : Increasing TCP's Initial Window
> Publication Date    : October 2002
> Author(s)           : M.
> Allman, S. Floyd, C. Partridge
> Category            : PROPOSED
> STANDARD
> Source              :
> Transport Area Working Group
> Area               
> : Transport
> Stream              :
> IETF
> Verifying Party     : IESG
> 
>

---

From: <[email-masked]>
Date: Wed, 6 Jan 2016 05:42:18 +0000 (UTC)

Megan,

please also raise this as an erratum to the earlier RFC 2414, as allman points out.
Credit again to Nikolai.

RFC 2414:
***
A second set of experiments has explored TCP performance over dialup 
modem links.  In experiments over a 28.8 bps dialup channel [All97a, 
AHO98],***
there should be

***
A second set of experiments has explored TCP performance over dialup 
modem links.  In experiments over a 28.8 kbps dialup channel [All97a, 
AHO98],***

 Lloyd Wood [email-masked] http://about.me/lloydwood 

----- Original Message -----
From: Megan Ferguson <[email-masked]>
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; [email-masked]; RFC System <[email-masked]>; [email-masked]; [email-masked]
Sent: Tuesday, 5 January 2016, 12:05
Subject: Re: [tsvwg] [Technical Errata Reported] RFC3390 (4569)

Lloyd,

Thank you.

RFC Editor/mf

---

From: Joe Touch <[email-masked]>
Date: Wed, 6 Jan 2016 11:44:58 -0800

FWIW, I don't think it's useful to bother updating obsoleted RFCs, esp.
when their replacement is fixed (or at least has this errata).

Joe